"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const SankeyView = require("./SankeyView.js");
const SankeySeries = require("./SankeySeries.js");
const sankeyLayout = require("./sankeyLayout.js");
const sankeyVisual = require("./sankeyVisual.js");
function install(registers) {
  registers.registerChartView(SankeyView.default);
  registers.registerSeriesModel(SankeySeries.default);
  registers.registerLayout(sankeyLayout.default);
  registers.registerVisual(sankeyVisual.default);
  registers.registerAction({
    type: "dragNode",
    event: "dragnode",
    // here can only use 'update' now, other value is not support in echarts.
    update: "update"
  }, function(payload, ecModel) {
    ecModel.eachComponent({
      mainType: "series",
      subType: "sankey",
      query: payload
    }, function(seriesModel) {
      seriesModel.setNodePosition(payload.dataIndex, [payload.localX, payload.localY]);
    });
  });
}
exports.install = install;
